Page MenuHomePhabricator

Implement multi-judgment and endorsement schema for Extension:JADE
Closed, ResolvedPublic

Description

We've decided to use a more complex schema, something like T193643#4175071. Update the ext-JSON/jsonschema definitions and tests to conform.

Details

Related Gerrit Patches:

Event Timeline

awight created this task.May 8 2018, 9:47 PM

Change 437447 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/JADE@master] Change schema to contain multiple judgments and endorsements

https://gerrit.wikimedia.org/r/437447

Still need to implement validation of endorsement user.

awight claimed this task.Jun 5 2018, 11:39 AM
awight moved this task from Active to Review on the Scoring-platform-team (Current) board.

Change 437447 merged by jenkins-bot:
[mediawiki/extensions/JADE@master] Change schema to contain multiple judgments and endorsements

https://gerrit.wikimedia.org/r/437447

awight closed this task as Resolved.Jun 13 2018, 1:49 PM
Vvjjkkii renamed this task from Implement multi-judgment and endorsement schema for Extension:JADE to ccdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed awight as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
ArielGlenn renamed this task from ccdaaaaaaa to Implement multi-judgment and endorsement schema for Extension:JADE.Jul 1 2018, 8:16 AM
ArielGlenn closed this task as Resolved.
ArielGlenn assigned this task to awight.
ArielGlenn raised the priority of this task from High to Needs Triage.
ArielGlenn updated the task description. (Show Details)
ArielGlenn added subscribers: gerritbot, Aklapper.